## NAME

v.timestamp - Modifies a timestamp for a vector map.
Print/add/remove a timestamp for a vector map.

## KEYWORDS

vector, metadata, timestamp, time

## SYNOPSIS

v.timestamp
v.timestamp --help
v.timestamp map=name [layer=string] [date=timestamp] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

map=name [required]
  Name of vector map
  Or data source for direct OGR access
layer=string
  Layer number or name
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
date=timestamp
  Datetime, datetime1/datetime2, or 'none' to remove
  Format: '15 jan 1994' (absolute) or '2 years' (relative)

## DESCRIPTION

This command has 2 modes of operation. If no date argument is supplied, then the current timestamp for the vector map is printed. If a date argument is specified, then the timestamp for the vector map is set to the specified date(s). See examples below.

See TIMESTAMP FORMAT description for details.

## NOTES

Strings containing spaces should be quoted. For specifying a range of time, the two timestamps should be separated by a forward slash. To remove the timestamp from a vector map, use date=none.

## EXAMPLES

Prints the timestamp for the "lidar" vector map. If there is no timestamp for "lidar", nothing is printed. If there is a timestamp, one or two time strings are printed, depending on if the timestamp for the map consists of a single date or two dates (ie start and end dates).

    v.timestamp map=lidar

Sets the timestamp for "lidar" to the single date "15 sep 1987".

    v.timestamp map=lidar date='15 sep 1987'

Sets the timestamp for "lidar" to have the start date "15 sep 1987" and the end date "20 feb 1988".

    v.timestamp map=lidar date='15 sep 1987/20 feb 1988'

Removes the timestamp for the "lidar" vector map.

    v.timestamp map=lidar date=none

## KNOWN ISSUES

Spaces in the timestamp value are required.

## SEE ALSO

v.info, r.timestamp, r3.timestamp

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

## SOURCE CODE

Available at: v.timestamp source code (history)

Accessed: Tuesday Jan 09 00:44:19 2024

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual